Bug 1010958 (CVE-2013-6493) - CVE-2013-6493 icedtea-web: insecure temporary file use flaw in LiveConnect implementation
Summary: CVE-2013-6493 icedtea-web: insecure temporary file use flaw in LiveConnect im...
Keywords:
Status: CLOSED ERRATA
Alias: CVE-2013-6493
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard:
Depends On: 1065518
Blocks: 1010962
TreeView+ depends on / blocked
 
Reported: 2013-09-23 11:45 UTC by Murray McAllister
Modified: 2019-09-29 13:08 UTC (History)
9 users (show)

Fixed In Version: icedtea-web 1.4.2
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-07-07 19:57:26 UTC


Attachments (Terms of Use)

Description Murray McAllister 2013-09-23 11:45:36 UTC
LiveConnect provides a gateway between the JavaScript engine in the web browser and Java applets. An insecure temporary file use flaw was found in the LiveConnect implementation in the IcedTea-Web browser plug-in. A malicious, local user could possibly use this flaw to inject or read the communication between a Java applet and web browser of a different user's session.

Acknowledgements:

This issue was discovered by Michael Scherer of the Red Hat Regional IT team.

References:

https://jdk6.java.net/plugin2/liveconnect/
https://developer.mozilla.org/en-US/docs/Web/JavaScript/Guide/LiveConnect_Overview

Comment 30 Tomas Hoger 2014-02-14 20:44:42 UTC
Statement:

(none)

Comment 32 Tomas Hoger 2015-07-07 19:56:05 UTC
This issue was corrected in Red Hat Enterprise Linux 6 when icedtea-web packages were updated to upstream version 1.5.1 via RHBA-2014:1417 released as part of Red Hat Enterprise Linux 6.6:

https://rhn.redhat.com/errata/RHBA-2014-1417.html


Note You need to log in before you can comment on or make changes to this bug.